#include <CL/sycl.hpp>
#include <iostream>
using namespace sycl;

int main() {

  queue Q{host_selector{}};

  const std::string secret{"Pj-!nvoep\"!!Gfmj{!Bop!Opwp\"\01"};

  char *result = malloc_shared<char>(secret.size(), Q);
  std::memcpy(result,secret.data(),secret.size());

  Q.parallel_for(secret.size(),[=](auto& i) {
    result[i] -= 1;
  }).wait();

  std::cout << result << "\n";
  return 0;
}
